5ちゃんねる ★スマホ版★ ■掲示板に戻る■ 全部 1- 最新50  

■ このスレッドは過去ログ倉庫に格納されています

Debian GNU/Linux スレッド Ver.8

1 :lev:02/05/10 03:12 ID:EDog/GcM
前スレ
Debian GNU/Linux スレッド Ver.6

http://pc.2ch.net/test/read.cgi/linux/1018445203/l50

imapサーバーが動きましたので、記念に新スレッドつくります。

841 :login:Penguin:02/06/09 09:38 ID:Pq/Ub2NU
debuan ての読んでみようとしたんだけど日本語が表示されないです。

http://debian.g-com.ne.jp/debian/detc.html#acrobatreader
http://lists.debian.or.jp/debian-users/200104/msg00316.html
とか見てやってみたんですが。

apt-get install acroread-asianfont したら最後に
chown: getting attributes of `CIDFont': そのようなファイルやディレクトリはありません
chown: getting attributes of `CMap': そのようなファイルやディレクトリはありません
chown: getting attributes of `Encoding': そのようなファイルやディレクトリはありません
って言われました。

jpnfont.tar.gz を展開して
# cd JPNKIT
# ./INSTLANG
で install を実行したところ、途中で Acrobat 5.0 Reader を install した
場所を指定しろ、と言われたんですが、acroread パッケージでは Acrobat
Reader 4.0 なのでこの辺が問題なのかなと思いますがどうなんでしょう?

Debian は sid 使っています。

842 :login:Penguin:02/06/09 09:45 ID:kpf4v0o4
>>841
> jpnfont.tar.gz を展開して
> # cd JPNKIT
> # ./INSTLANG
それより
apt-get install acroread-asianfont
の方が Debian 流では?


843 :841:02/06/09 10:07 ID:Pq/Ub2NU
>>842
えっとそれはやったんですが。多分 acroread-asianfont を入れると
/usr/lib/Acrobat4/Resource の下に CIDFont CMap Encoding などのディレク
トリができるはずなのに、それができていなくて >>841 のようにディレ
クトリがないよって言われているのかなと。。

844 :login:Penguin:02/06/09 11:02 ID:cnxCrq2Z
そーいや、Acrobat Reader 5 のパッケージってまだ無いんだな。
元の tar.gz 玉を落としてきてインストールしても、何故かうまく
いかなくて困っていたりする。

845 :login:Penguin:02/06/09 12:23 ID:z/4Vtpld
>843
Woody+acroread4.05-5でも似たような症状で、
自分でdvipdfmで作ったファイルが読めません。

acroread-asianfontのバージョンは4.05-5で、
正常に使えてる他のWoodyマシンと同じなので
adobeのサイトにあるjpnfontのtar玉のほうが
壊れてるのではないかと疑ってます。

846 :login:Penguin:02/06/09 13:17 ID:mcFO3XmS
>>844
5.0.5、/usr/local/Acrobat5でちゃんと動いてるよ。

jpnfont.tar.gzは、LANGCOM.TARとLANGJPN.TARと別に配布すればいいのにな。

847 :837 :02/06/09 13:36 ID:l1uuwoLY
ワコムタブレットの837です。839のヒントをもとに
xinput listで各デバイスが表示されるのを確認して、それらのデバイスをテストしました。

$ xinput test Stylus
$ xinput test Eraer

いずれも、悪いメッセージがでる。XFree86-4の設定がまずいかもしれない

X Error of failed request: BadDevice, invalid or uninitialized input device
Major opcode of failed request: 148 (XInputExtension)
Minor opcode of failed request: 3 (X_OpenDevice)
Serial number of failed request: 12
Current serial number in output stream: 12

今、この結果をもとにウェブで調査中だけど
ちょっとdebianと関係ないな。続きはクンクンスレでやるか…

848 :login:Penguin:02/06/09 14:18 ID:YgvHmxdX

>>846そのままでちゃんと動いてます?

漏れの環境(woody)ではそのままでは表示されない日本語が
かなり多くて、くだ質で質問して
http://www.matsusaka-u.ac.jp/~okumura/linux/acroread.html
を教えてもらってようやく実用レベルになったよ。

それでもまだまれに表示されない文字があるけど。。。

849 :名無しさん@Emacs:02/06/09 14:19 ID:dNcXvxOS
northeyeタン、、、、

850 :837 :02/06/09 15:24 ID:k2UyowKm
どうやらwacom_drv.oがだめみたい
代替の物を探すか…


851 :845:02/06/09 16:12 ID:z/4Vtpld
別なマシンのホームディレクトリを漁ったら
jpnfont.tar.gzが残ってました。サイズが
別マシンの方 -> 6550221
最近落した方 -> 5332238
とだいぶ違ったので、別マシンのをコピーしてきて
$ sudo apt-get --purge remove acroread-asianfont
$ sudo apt-get install acroread-asianfont
したら正常に使えるようになりました。

でも今からインストールしたい人は困りますよね。
ライセンスの問題があるから、自分が持っているのを
勝手にupするわけにいかないし。

852 :login:Penguin:02/06/09 22:53 ID:/HO2eDeq
>>851
手元はpotatoです.

http://www.rarf.riken.go.jp/archives/debian/debian-jp/pool/contrib/a/acroread-asianfont/
から acroread-asianfont_4.05-4_all.deb パッケージをいただいてきました.

ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/4.x/
から 6550221 bytes の jpnfont.tar.gz をいただいてきました.
% md5sum jpnfont.tar.gz
1fd03daeea66705b5399f1d0162d3acf jpnfont.tar.gz
です.
(ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/
にある jpnfont.tar.gz は 5332238 bytesです)

sudo dpkg -i acroread-asianfont_4.05-4_all.deb
したらきちんとインストールされているようです.
(具体的には,でぶあん2000年冬号 27 ページの表にあるゴシック体も読めます.
むろんそれ以外の日本語文字も化けません)

% dpkg -l acro\*
ii acroread 4.05-3 Adobe Acrobat Reader: Portable Document Form
ii acroread-asian 4.05-4 Asian Font Packs for Adobe Acrobat Reader (i
です.


853 :845:02/06/09 23:26 ID:/0Bwdv+U
>>852
情報Thanksです。
apt-cache show acroread-asianfontでは
http://www.adobe.com/products/acrobat/cjkfontpack.html
からjpnfont.tar.gzをとって来るよう指示されるので
私はそちらから落していました。
以前はちゃんとacroread4.x用のが置いてあったのに
いつの間にかacroread5.x用に変わっていたのですね。
もっとドキュメントに目を通せばよかったものを
お騒がせ致しました。すみません。>ALL

ところで>>852さん、PotatoでWoodyやSidのパッケージを
使う場合、apt-lineにWoodyとSidのも入れておいて
/etc/apt/apt.conf.d/99targetに
APT::Default-Release "stable";
と書けばaptできる気がするのですが。。。

272 KB
★スマホ版★ 掲示板に戻る 全部 前100 次100 最新50

read.cgi ver 05.04.02 2018/11/22 Walang Kapalit ★
FOX ★ DSO(Dynamic Shared Object)